Bug 68896 - mm doesn't change ownership properly of SysV semaphores
Summary: mm doesn't change ownership properly of SysV semaphores
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mm   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 68895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-15 19:56 UTC by Jonathan Kamens
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-31 08:51:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to set perms of semaphores in mm (822 bytes, patch)
2002-07-15 19:57 UTC, Jonathan Kamens
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:153 normal SHIPPED_LIVE : Updated mm packages fix temporary file handling 2002-07-24 04:00:00 UTC
Red Hat Product Errata RHSA-2002:154 normal SHIPPED_LIVE Moderate: mm security update 2002-07-25 04:00:00 UTC
Red Hat Product Errata RHSA-2002:156 normal SHIPPED_LIVE : Updated secureweb packages fix temporary file handling 2002-07-25 04:00:00 UTC

Description Jonathan Kamens 2002-07-15 19:56:56 UTC
When mm is told to change the ownership or modes of a shared memory object, it
doesn't properly update the ownership or mode of semaphores (assuming that it is
compiled with semaphores enabled).  I'll attach a patch.

Comment 1 Jonathan Kamens 2002-07-15 19:57:36 UTC
Created attachment 65464 [details]
patch to set perms of semaphores in mm

Comment 2 Nalin Dahyabhai 2002-07-24 19:05:48 UTC
Fixing for 1.1.3-8 and later.

Comment 3 Jonathan Kamens 2002-07-26 14:15:10 UTC
The author of mm pointed out a problem in my patch.  When I wrote "i <=
sizeof(sems)/sizeof(*sems)", the "<=" should have been "<".  Please fix this if
you retained the bug when integrating my patch into your package.

Also, he said that my fix will be in mm 1.2.0, although I don't know if/when
that'll be released.


Comment 4 Mark J. Cox 2002-07-31 08:51:38 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-153.html



Note You need to log in before you can comment on or make changes to this bug.